package com.loan.system.service;

import com.loan.system.domain.dto.UserLoginDTO;
import com.loan.system.domain.entity.BizRecommender;
import com.loan.system.domain.entity.Customer;
import com.loan.system.domain.entity.User;

import java.util.List;

public interface UserService {
    User getUserByMobile(String  mobile);

    Customer getCustomerByMobile(String mobile);

    void addCustomer(Customer customer);

    List<Customer> getAllCustomers(Boolean isDelete);

    List<User> getAllUsers(Boolean isDelete);

    List<BizRecommender> getAllRecommenders(Boolean isDelete);

    Customer getCustomerById(Long id , Boolean isDelete);

    Customer getCustomerByKey(String key, boolean b);

    User wxLogin(UserLoginDTO userLoginDTO);

    User findByIdAndIsDelete(Long userId);
}
